Main Page | Data Structures | Directories | File List | Data Fields | Globals

# TSK_FS_DATA_RUN Struct Reference

`#include <fs_tools.h>`

## Detailed Description

Generic structure used to describe a run of consecutive blocks.

These are in a linked list.

## Data Fields
TSK_FS_DATA_RUN * | next
| Pointer to the next run in the attribute.
DADDR_T | addr
| Starting block address of run.
DADDR_T | len
| Number of blocks in run.
TSK_FS_DATA_RUN_FLAG_ENUM | flags
| Flags for run.

The documentation for this struct was generated from the following file:

- src/fstools/fs_tools.h